org.apache.thrift.meta_data

## Class FieldValueMetaData

- java.lang.Object
- - org.apache.thrift.meta_data.FieldValueMetaData

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    EnumMetaData, ListMetaData, MapMetaData, SetMetaData, StructMetaData

      public class FieldValueMetaData
      extends java.lang.Object
      implements java.io.Serializable

  FieldValueMetaData and collection of subclasses to store metadata about the value(s) of a field
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldValueMetaData(byte type)`
    `FieldValueMetaData(byte type, boolean binary)`
    `FieldValueMetaData(byte type, java.lang.String typedefName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTypedefName()`
    `boolean` | `isBinary()`
    `boolean` | `isContainer()`
    `boolean` | `isStruct()`
    `boolean` | `isTypedef()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final byte type

  - ### Constructor Detail

    - #### FieldValueMetaData

          public FieldValueMetaData(byte type,
                            boolean binary)

    - #### FieldValueMetaData

          public FieldValueMetaData(byte type)

    - #### FieldValueMetaData

          public FieldValueMetaData(byte type,
                            java.lang.String typedefName)

  - ### Method Detail

    - #### isTypedef

          public boolean isTypedef()

    - #### getTypedefName

          public java.lang.String getTypedefName()

    - #### isStruct

          public boolean isStruct()

    - #### isContainer

          public boolean isContainer()

    - #### isBinary

          public boolean isBinary()